System.ServiceModel 4.0.0.0 System.Object

The class contains a set of objects, each of which contains a description of the fault in a specific language.

Provides a text description of a SOAP fault.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified list of fault translations.

  A list of objects; each object describes the fault in a specific language.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified text element that describes the fault in a specific language.

  An array of objects that correspond to fault descriptions in different languages.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified fault description.

  A description of the reason the fault occurred.
- Method
  4.0.0.0
  System.ServiceModel.FaultReasonText

  A translation is always returned.

  If only one translation exists, it is returned.

  If there is an exact match for a , that is returned.

  If there is a translation for a parent language of , that is returned.

  Otherwise, the first translation in the set is returned.

  Gets the fault description in the language used by the current thread.

  A object that contains the fault description.

- Method
  4.0.0.0
  System.ServiceModel.FaultReasonText ``

  A translation is always returned.

  If only one translation exists, it is returned.

  If there is an exact match for a , that is returned.

  If there is a translation for a parent language of , that is returned.

  Otherwise, the first translation in the set is returned.

  Gets the fault description in the specified language.

  The fault text in the specified language.

  A object that specifies the language of the fault description.
- Method
  4.0.0.0
  System.String To be added.

  Returns the fault reason as a string.

  A string containing the reason for the fault.

- Property
  4.0.0.0
  System.Collections.Generic.SynchronizedReadOnlyCollection<System.ServiceModel.FaultReasonText> To be added. To be added.

  Gets a collection of fault descriptions in different languages.